View Issue Details

IDProjectCategoryView StatusLast Update
0025843LazarusIDEpublic2014-03-11 09:18
ReporteroceanAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3 (SVN)Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025843: Copy paste error (SynEdit)
DescriptionWhen pasted lines from texteditor to Lazarus -> there was crash.

Attached sample fails here same way when click button..
TagsNo tags attached.
Fixed in Revision44397
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

ocean

2014-03-09 21:35

reporter  

rce.zip (3,669 bytes)

Martin Friebe

2014-03-10 01:28

manager   ~0073577

Thanks, especially for the easy to reproduce test.

Fixed in trunk. Was not broken in 1.2.

Please test and close if ok.

ocean

2014-03-10 08:42

reporter  

rce2.zip (3,670 bytes)

ocean

2014-03-10 08:43

reporter   ~0073579

First sample now works, but otherwise no.

Attached second one..

Zeljan Rikalo

2014-03-10 09:34

developer   ~0073581

Yes, range check error in TSynEditTrimSpaceList.Delete. When AEntryIdx = FCount -1 then we access Entries[AEntryIdx + 1] inside Move().

Martin Friebe

2014-03-10 16:54

manager   ~0073609

fixed in 44397

Issue History

Date Modified Username Field Change
2014-03-09 21:35 ocean New Issue
2014-03-09 21:35 ocean File Added: rce.zip
2014-03-09 23:41 Martin Friebe Assigned To => Martin Friebe
2014-03-09 23:41 Martin Friebe Status new => assigned
2014-03-10 01:28 Martin Friebe Fixed in Revision => 44390
2014-03-10 01:28 Martin Friebe LazTarget => 1.4
2014-03-10 01:28 Martin Friebe Note Added: 0073577
2014-03-10 01:28 Martin Friebe Status assigned => resolved
2014-03-10 01:28 Martin Friebe Fixed in Version => 1.3 (SVN)
2014-03-10 01:28 Martin Friebe Resolution open => fixed
2014-03-10 01:28 Martin Friebe Target Version => 1.4
2014-03-10 08:42 ocean File Added: rce2.zip
2014-03-10 08:43 ocean Note Added: 0073579
2014-03-10 08:43 ocean Status resolved => assigned
2014-03-10 08:43 ocean Resolution fixed => reopened
2014-03-10 09:34 Zeljan Rikalo Note Added: 0073581
2014-03-10 16:54 Martin Friebe Fixed in Revision 44390 => 44397
2014-03-10 16:54 Martin Friebe Note Added: 0073609
2014-03-10 16:54 Martin Friebe Status assigned => resolved
2014-03-10 16:54 Martin Friebe Resolution reopened => fixed
2014-03-11 09:18 ocean Status resolved => closed